#version 450 core
layout (location = 0) in vec2 aPos;
layout (location = 1) in vec2 aTex;

uniform mat4 uProj;
uniform mat4 uView;
uniform mat4 uModel;

uniform vec4 uData[254];

out vec2 Texture;
out vec2 Color;

void main() {
    vec4 usedData = uData[gl_VertexID];
    Texture = usedData.zw;

    gl_Position = uProj * uView * uModel * vec4(aPos.x + usedData.x, aPos.y + usedData.y, 0.0, 1.0);
}