#version 450 core
layout (location = 0) in vec2 aPos;
layout (location = 1) in vec2 aTex;

uniform mat4 uProj;
uniform mat4 uView;
uniform mat4 uModel[128];

out flat int Id;
out vec2 Texture;

void main() {
    Texture = aTex;
    Id = gl_InstanceID;
    gl_Position = uProj * uView * uModel[gl_InstanceID] * vec4(aPos.x, aPos.y, 0.0, 1.0);
}