#version 330 core
out vec4 FragColor;

in vec2 Texture;

uniform sampler2D uSampler;
uniform vec4 uGlyphFrame;
uniform vec2 uSize;

void main() {
    vec2 coord = vec2(
        (uGlyphFrame.x / uSize.x) + (uGlyphFrame.z / uSize.x) *  Texture.x, 
        (uGlyphFrame.y / uSize.y) + (uGlyphFrame.w / uSize.y) *  Texture.y  
    );

    FragColor = texture(uSampler, coord);
}