#version 450 core
out vec4 FragColor;

uniform sampler2D uSlot;

uniform vec4 uUvs[128];
uniform vec2 uSize;

in vec2 Texture;
flat in int Id;

void main() {
    vec2 coord = vec2(
        (uUvs[Id].x / uSize.x) + (uUvs[Id].z / uSize.x) * Texture.x, 
        (uUvs[Id].y / uSize.y) + (uUvs[Id].w / uSize.y) * Texture.y  
    );
    FragColor = texture(uSlot, coord);
}