#include "Shader_Error.hpp"

#include <iostream>
#include <sstream>

namespace megu::error {
    shader_error::shader_error(const char * message, const std::filesystem::path * path)
    : _message(message) {
        
       this->_message = (path != nullptr ? std::filesystem::canonical(*path).string() + " : \n " : "Unknow : \n");
       this->_message.append(message);
    }

    shader_error::~shader_error() {}

    const char * shader_error::what() const noexcept {
        return this->_message.c_str();
    }
}