#pragma once

#include <exception>
#include <string>
#include <source_location>

#include "../back/shaders/Source.hpp"

namespace megu::error {
    class shader_error : public std::exception {
        private:
            std::string _message;
        
        public:
            shader_error() = delete;
            shader_error(const char *, const std::filesystem::path * = nullptr);
   virtual ~shader_error();

            virtual const char * what() const noexcept; 
    };
}
