#include "TileArray.hpp"

#include <iostream>

namespace megu {
    TileArray::TileArray(const std::filesystem::path & path, size_t row, size_t col, float tileSize, size_t lenght)
    : _row(row), _col(col), _tileSize(tileSize) {
        megu::TextureBuffer buffer(path);
        this->_texture.store(buffer);

        float twidth = static_cast<float>(this->_texture.width());
        float theight = static_cast<float>(this->_texture.height());

        for(size_t x = 0; x < row; ++x) {
            std::vector<glm::vec4> rows;
            for(size_t y = 0; y < col; ++y) {
                rows.push_back({0.f, this->_texture.height() - lenght, lenght, lenght});
            }
            this->_uvs.push_back(rows);
        }
    }
}