#pragma once

#include "Tangible.hpp"

namespace megu {
    class TangibleMovable : public Tangible {
        public:
            TangibleMovable() = delete;
            TangibleMovable(const Position &, const Dimension &);
   virtual ~TangibleMovable() = default;

            virtual void updatePhysic(double) = 0;

        protected:
            void update(double) override;
    };
}