#pragma once

#include <stddef.h>
#include <map>

namespace megu {
    using Priority = size_t;
    
    struct priority_sorter {
        bool operator()(const Priority & p1, const Priority & p2) {
            return p1 != p2 ? p1 > p2 : &p1 > &p2;
        }
    };

    template <class T>
    using priority_map = std::map<Priority, T>;
}