#include "reference_sorter.hpp"

namespace megu {
    template <class T>
    bool reference_sorter<T>::operator()(const T & obj_1, const T & obj_2) const {
        return &obj_1 < &obj_2;
    }

    template <class T>
    bool reference_sorter<T>::operator()(const T * obj_1, const T * obj_2) const {
        return obj_1 < obj_2;
    }

    template <class T>
    bool operator<(const T & obj_1, const T & obj_2) {
        return &obj_1 < &obj_2;
    }
}