#pragma once

#include <glm/vec4.hpp>
#include <glm/mat4x4.hpp>

namespace megu {
    using Vec2  = glm::vec2;
    using Vec3  = glm::vec3;
    using Vec4  = glm::vec4;
    using Color = glm::vec4;

    using Vec2Int = glm::ivec2;
    using Vec3Int = glm::ivec3;
    using Vec4Int = glm::ivec4;

    using Mat3  = glm::mat3;
    using Mat4  = glm::mat4;
}