#include "StatsAlterator.hpp"

namespace megu::game {
    template <class D>
    std::optional<D> StatsAlterator<D>::get(size_t key) const {
        if(this->_stats.contains(key)) {
            return this->_stats.at(key);
        }
        return {};
    }

    template <class D>
    void StatsAlterator<D>::set(size_t key, D value) {
        this->_stats[key] = value;
    }

    template <class D>
    std::optional<D> StatsAlterator<D>::operator[](size_t key) const {
        return this->get(key);
    }
}