#pragma once

#include <engine/utility/Priority.hpp>

namespace megu::kernel {
    struct RenderTrace {
        Priority layer;
        Priority object;

        bool operator<(const RenderTrace & trace) const {
            if(this->layer == trace.layer) {
                return this->object < trace.object;
            }
            return this->layer < trace.layer;
        }
    };
}