#pragma once

#include <glm/mat4x4.hpp>

namespace megu {
    class Camera {
        protected:
            enum Update_Flags {
                NONE        = 0,
                VIEW        = 1,
                PROJECTION  = 2,
            };

        public:
            virtual const glm::mat4 & view() const = 0;
            virtual const glm::mat4 & projection() const = 0;
    };
}