#pragma once

#include <engine/graphics/back/buffers/VertexArray.hpp>
#include <engine/graphics/back/buffers/VerticeBuffer.hpp>
#include <engine/graphics/back/shaders/Program.hpp>
#include <engine/io/Window.hpp>

#include "TextureArray.hpp"

namespace megu {
    class FrameBufferMerger {
       public:
            FrameBufferMerger();
           ~FrameBufferMerger() = default;

            void render(const Window &, const TextureArray &);

        private:
            VertexArray _vao;
            VerticeBuffer _vbo;
            Program _program;
    };
}