#pragma once

#include <engine/graphics/back/geometry/Geometry.hpp>

namespace megu {
    class Quads : public Static_Geometry<Quads, QUADS, layout::FLAT, layout::TEXTURE> {
        public:
            inline static const Vertices_t & Vertices() {return Quads::_Vertices;}
            inline static const size_t & Count() {return 4;}
            
        private:
            static Vertices_t _Vertices;
    };
}
