#pragma once

#include <vector>

namespace megu {
    struct array_generator {
        public:
            template <typename T, T From, T To>
            static constexpr std::vector<T> Generate() {
                std::vector<T> array;
                for(T i = From; i < To; ++i) {
                    array.push_back(i);
                }
                return array;
            }
    };
}