#pragma once

namespace megu {
    template <class T>
    class reference_sorter {
        public:
            reference_sorter() = default;
           ~reference_sorter() = default;
            
            bool operator()(const T &, const T &) const;
            bool operator()(const T *, const T *) const;

            template <class U>
            friend bool operator<(const U &, const U &);
    };
}

#include "reference_sorter.tpp"