#include "Event.hpp"

namespace megu::game {
    Event::Event(uint32_t type)
    : _type(type) {}

    std::optional<uint32_t> Event::get(size_t key) const {
        return this->_stats.get(key);
    }

    void Event::set(size_t key, uint32_t value) {
        this->_stats.set(key, value);
    }

    bool Event::operator&(const uint32_t & type) const {
        return (this->_type & type) != 0;
    }
}