#pragma once

#include <kernel/front/props/Props.hpp>

namespace megu::game {
    template <class D>
    class StatsAlterator {
        public:
            StatsAlterator() = default;

            std::optional<D> get(size_t) const;
            void set(size_t, D);

            std::optional<D> operator[](size_t) const;
            
        private:
            std::map<size_t, D> _stats;
    };
}

#include "StatsAlterator.tpp"