#include "Damagable.hpp"

namespace megu::game {
    Damagable::Damagable(uint32_t life, bool dead)
    : _life(life), _dead(dead) {}

    void Damagable::damage(uint32_t damage) {
        this->_life -= damage;
        if(this->_life <= 0) {
            this->_life = 0;
            this->_dead = true;
        }
    }

    void Damagable::heal(uint32_t heal) {
        this->_life += heal;
    }
}