#pragma once

#include <game/front/object/Klinck.hpp>

#include <engine/io/Keyboard.hpp>
#include <engine/io/Mouse.hpp>

namespace megu::game {
    class KlinckKeyProfile : public Keyboard {
        public:
            KlinckKeyProfile(Klinck &, kernel::Kernel &);

            virtual void on(Key, int, Action, Mod);

        private:
            Klinck & _player;
            kernel::Kernel & _kernel;
    };
}