#include "FrameCouter.hpp"

namespace megu::game {
    FrameCounter::FrameCounter()
    : _previous(0.0), _frame(0), _count(0) {}

    unsigned int FrameCounter::count(double time) {
        this->_count++;
        if(time - this->_previous >= 1.0) {
            this->_frame = this->_count;
            this->_count = 0;
            this->_previous = time;
        }

        return this->_frame;
    }
}