#pragma once

#include <kernel/back/engine/Engine.hpp>
#include <utility/Identifiable.hpp>

namespace megu::kernel {
    class Kernel;

    template <class E>
    class Component : public virtual Identifiable {
        public: 
            virtual void apply(E &) = 0;
            virtual void unapply(E &) = 0;
    };
}