#pragma once

#include "Fixed.hpp"

namespace megu::kernel {
    class Tile : public Fixed {
        public:
            Tile();
            Tile(float x, float y, float d, Priority p);
   virtual ~Tile() = default;

            bool operator==(const Tile &) const;
            bool operator>=(const Tile &) const;
            bool operator<=(const Tile &) const;
            bool operator>(const Tile &) const;
            bool operator<(const Tile &) const;        
    };
}