#include "PropsPlayable.hpp"

#include <engine/io/Window.hpp>

namespace megu::kernel {
    PropsPlayable::PropsPlayable(Sprite & graphic, Movable & physic) 
    : _graphic(graphic), _physic(physic) {}

    void PropsPlayable::setControl(Window & window, Keyboard * keyboard) {
        this->_profiler.set(keyboard);
        this->_profiler.link(window);
    }

    void PropsPlayable::setControl(Window & window, Mouse * mouse) {
        this->_profiler.set(mouse);
        this->_profiler.link(window);
    }
}