#pragma once

#include "Resolver.hpp"
#include <kernel/back/engine/GraphicEngine.hpp>
#include <kernel/front/props/Props.hpp>

namespace megu::kernel {
    class Kernel;
    class GraphicResolver : public Resolver<GraphicEngine, Prop::Graphical_Component> {
        public:
            void resolve(Kernel &, GraphicEngine &, double) override;
    };
}